Package org.kapott.hbci.passport.rdhXfile

# Class HBCIAccount.UserKeys

java.lang.Object
org.kapott.hbci.passport.rdhXfile.TLV
org.kapott.hbci.passport.rdhXfile.HBCIAccount.UserKeys

Enclosing class:
  HBCIAccount

public static class HBCIAccount.UserKeys extends TLV

## Constructor Summary

Constructors
Constructor
Description
`UserKeys()`
`UserKeys(TLV tlv)`

## Method Summary

Modifier and Type
Method
Description
`void`
`decrypt(SecretKey key)`
`void`
`encrypt(SecretKey key)`
`int`
`getKeyNum()`
`String`
`getKeyType()`
`int`
`getKeyVersion()`
`Key`
`getPrivateKey()`
`Key`
`getPublicKey()`
`void`
`setKeyNum(int num)`
`void`
`setKeyType(String t)`
`void`
`setKeyVersion(int version)`
`void`
`setPrivateKey(Key key)`
`void`
`setPublicKey(Key key)`
`String`
`toString()`
`void`
`updateData()`

### Methods inherited from class org.kapott.hbci.passport.rdhXfile.TLV

`expand, getData, getLength, getRawData, getTag, int2ba, long2ba, reverseba, setData, trimba`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UserKeys

public UserKeys()

### UserKeys

public UserKeys(TLV tlv)

## Method Details

### decrypt

public void decrypt(SecretKey key) throws Exception

Throws:
  `Exception`

### getKeyType

public String getKeyType()

### setKeyType

public void setKeyType(String t)

### getKeyNum

public int getKeyNum()

### setKeyNum

public void setKeyNum(int num)

### getKeyVersion

public int getKeyVersion()

### setKeyVersion

public void setKeyVersion(int version)

### getPublicKey

public Key getPublicKey()

### setPublicKey

public void setPublicKey(Key key)

### getPrivateKey

public Key getPrivateKey()

### setPrivateKey

public void setPrivateKey(Key key)

### encrypt

public void encrypt(SecretKey key) throws Exception

Throws:
  `Exception`

### updateData

public void updateData()

Overrides:
  `updateData` in class `TLV`

### toString

public String toString()

Overrides:
  `toString` in class `Object`